Bug 1169006 - util-linux is built without udev support
util-linux is built without udev support
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Stanislav Brabec
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-08 16:44 UTC by Andrei Borzenkov
Modified: 2022-04-04 19:24 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Borzenkov 2020-04-08 16:44:33 UTC
[  108s] checking for udev_new in -ludev... no

This means e.g. that lsblk falls back to direct device probing instead of getting device properties from udev, so it displays nothing (useful) for non-root users. This directly contradicts manual page: "lsblk command reads the sysfs filesystem and udev db to gather  information".

I tested Leap 42, Leap 15 and TW - all behave the same. Other distributions seem to do it right (for sure on Ubuntu 18.04).

Fix surely must go in Leap 15.2 and probably Leap 15.1 needs patch as well.

See also https://forums.opensuse.org/showthread.php/539802-lsblk-why-should-extended-use-of-lsblk-require-root-permissions
Comment 1 Stanislav Brabec 2020-10-08 04:51:24 UTC
Confirming.

To Maintenance: This adds a new dependency to util-linux. But as libudev1 is a core package that has to be installed e. g. for libzypp, I see no problem with it.

For factory, adding to the new package:
https://build.opensuse.org/package/show/home:sbrabec:branches:util-linux-multibuild/util-linux
Comment 5 Swamp Workflow Management 2020-12-16 14:27:45 UTC
SUSE-RU-2020:3852-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1084671,1169006,1174942,1175514,1175623,1178554,1178825
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    util-linux-2.33.2-4.6.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    util-linux-2.33.2-4.6.1
SUSE Linux Enterprise Server 12-SP5 (src):    python-libmount-2.33.2-4.6.1, util-linux-2.33.2-4.6.1, util-linux-systemd-2.33.2-4.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-12-16 14:30:09 UTC
SUSE-RU-2020:3853-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1084671,1169006,1174942,1175514,1175623,1178554,1178825
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    util-linux-systemd-2.33.1-4.13.2
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    util-linux-systemd-2.33.1-4.13.2
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    util-linux-2.33.1-4.13.1, util-linux-systemd-2.33.1-4.13.2
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    util-linux-2.33.1-4.13.1, util-linux-systemd-2.33.1-4.13.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-12-19 23:15:22 UTC
openSUSE-RU-2020:2288-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1084671,1169006,1174942,1175514,1175623,1178554,1178825
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    python3-libmount-2.33.1-lp151.3.9.1, util-linux-2.33.1-lp151.3.9.1, util-linux-systemd-2.33.1-lp151.3.9.1
Comment 8 Swamp Workflow Management 2020-12-20 11:18:12 UTC
openSUSE-RU-2020:2295-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1084671,1169006,1174942,1175514,1175623,1178554,1178825
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    python3-libmount-2.33.1-lp152.5.6.1, util-linux-2.33.1-lp152.5.6.1, util-linux-systemd-2.33.1-lp152.5.6.1
Comment 9 Stephan Kulow 2021-02-03 10:40:08 UTC
udev is coming from systemd, adding this dependency to util-linux is basically a no go as far as build cycles are concerned. That's the whole point of having util-linux-systemd as extra spec file
Comment 10 Stanislav Brabec 2021-02-04 00:21:29 UTC
I just checked the list of binaries that are linked with libudev:
/usr/bin/findmnt
/usr/bin/lsblk
So we need to migrate these two to util-linux-systemd.

I am not sure whether it could cause problems in the bootstrap packages.

Checking systemd, the only affected is systemd test-cgroup-setup (testsuite), which requires findmnt.



Well, there is an alternative way I was trying to unsuccessfully complete in the last year:

Create util-linux-mini with a full set of binaries and libraries as a feature-limited package for bootstrapping, and util-linux as a single complete package for the standard installation.
https://build.opensuse.org/package/rdiff/Base:System/util-linux?linkrev=base&rev=433
It basically worked, but it had to be reverted. This approach would require a change in the OBS:
util-linux-mini provides mount, util-linux provides mount as well. When OBS tests installed package, it installs util-linux-mini, and then uninstalls it. It causes that the base system remains without mount at all. When the virtual machine terminates, it calls umount. It fails. => It causes a build failure.

So for now it is a no-go. At least until OBS will be modified or I will find a work-around of this problem.
Comment 11 Stanislav Brabec 2021-02-04 03:45:58 UTC
https://build.opensuse.org/request/show/869061
Comment 13 Stephan Kulow 2021-02-04 07:56:26 UTC
Hmm, where was that experiment with util-linux-mini? Because the problem you describe we have with basically every base library - and is the reason that Preinstall packages are not uninstalled.
Comment 14 Stanislav Brabec 2021-02-10 02:33:53 UTC
If you can help with OBS fix, I can easily revive that revision and port it to the latest version.

I have been told that util-linux-mini approach is a no-go, and that the split is the only solution.

https://build.opensuse.org/package/rdiff/Base:System/util-linux?linkrev=base&rev=433

I am sending you the mail with details.
Comment 15 Stanislav Brabec 2021-03-02 23:04:54 UTC
I just made a backport to all repositories since SLE12 SP2. Backport to Update repositories was straightforward: Just add BuildRequires.

Release repositories (Factory, SLE15 SP3 and Leap 15.3) need rearrangement of subpackages: binaries that need libudev has to be moved to util-linux-systemd.

Plan is the merge of both back to util-linux and use non-conflicting util-linux-mini for build basesystem, but it is out of the scope of this bug.
Comment 18 Swamp Workflow Management 2021-10-19 13:18:34 UTC
SUSE-SU-2021:3463-1: An update that solves one vulnerability and has 19 fixes is now available.

Category: security (moderate)
Bug References: 1081947,1082293,1084671,1085196,1106214,1122417,1125886,1135534,1135708,1151708,1168235,1168389,1169006,1174942,1175514,1175623,1178236,1178554,1178825,1188921
CVE References: CVE-2021-37600
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    python-libmount-2.29.2-3.24.1, util-linux-2.29.2-3.24.1, util-linux-systemd-2.29.2-3.24.1
SUSE OpenStack Cloud 8 (src):    python-libmount-2.29.2-3.24.1, util-linux-2.29.2-3.24.1, util-linux-systemd-2.29.2-3.24.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    python-libmount-2.29.2-3.24.1, util-linux-2.29.2-3.24.1, util-linux-systemd-2.29.2-3.24.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    python-libmount-2.29.2-3.24.1, util-linux-2.29.2-3.24.1, util-linux-systemd-2.29.2-3.24.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    python-libmount-2.29.2-3.24.1, util-linux-2.29.2-3.24.1, util-linux-systemd-2.29.2-3.24.1
HPE Helion Openstack 8 (src):    python-libmount-2.29.2-3.24.1, util-linux-2.29.2-3.24.1, util-linux-systemd-2.29.2-3.24.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2022-04-04 19:18:53 UTC
SUSE-SU-2022:1108-1: An update that solves one vulnerability and has 13 fixes is now available.

Category: security (important)
Bug References: 1084671,1151708,1168235,1168389,1169006,1172427,1174942,1175514,1175623,1178236,1178554,1178825,1188921,1194642
CVE References: CVE-2021-37600
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    util-linux-2.31.1-150000.9.18.2, util-linux-systemd-2.31.1-150000.9.18.2
SUSE Linux Enterprise Server 15-LTSS (src):    util-linux-2.31.1-150000.9.18.2, util-linux-systemd-2.31.1-150000.9.18.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    util-linux-2.31.1-150000.9.18.2, util-linux-systemd-2.31.1-150000.9.18.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    util-linux-2.31.1-150000.9.18.2, util-linux-systemd-2.31.1-150000.9.18.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 25 Swamp Workflow Management 2022-04-04 19:21:54 UTC
SUSE-SU-2022:1103-1: An update that solves one vulnerability and has 23 fixes is now available.

Category: security (important)
Bug References: 1038841,1081947,1082293,1084671,1085196,1106214,1116347,1122417,1125886,1135534,1135708,1151708,1168235,1168389,1169006,1172427,1174942,1175514,1175623,1178236,1178554,1178825,1188921,1194642
CVE References: CVE-2021-37600
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    python-libmount-2.28-44.35.1, util-linux-2.28-44.35.1, util-linux-systemd-2.28-44.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 26 Swamp Workflow Management 2022-04-04 19:24:58 UTC
SUSE-SU-2022:1105-1: An update that solves one vulnerability and has 21 fixes is now available.

Category: security (important)
Bug References: 1081947,1082293,1084671,1085196,1106214,1122417,1125886,1135534,1135708,1151708,1168235,1168389,1169006,1172427,1174942,1175514,1175623,1178236,1178554,1178825,1188921,1194642
CVE References: CVE-2021-37600
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    python-libmount-2.29.2-9.17.1, util-linux-2.29.2-9.17.1, util-linux-systemd-2.29.2-9.17.1
SUSE OpenStack Cloud 9 (src):    python-libmount-2.29.2-9.17.1, util-linux-2.29.2-9.17.1, util-linux-systemd-2.29.2-9.17.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    python-libmount-2.29.2-9.17.1, util-linux-2.29.2-9.17.1, util-linux-systemd-2.29.2-9.17.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    python-libmount-2.29.2-9.17.1, util-linux-2.29.2-9.17.1, util-linux-systemd-2.29.2-9.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.